Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar
Interface IGrammar

All Known Implementing Classes:
  GrammarBusiness

    public interface IGrammar

Since:
  0.1
Author:
  fabricemaupin

  Interface used to declare and override business methods.

Method Summary
`java.lang.String` | `toHieroglyphs(java.lang.String[] transliterationList, GrammarManager gm)` name of method to override for convert to hieroglyphs (used by grammar manager for grammar business).
`java.lang.String` | `toPhoneticRead(java.lang.String[] transliterationList, GrammarManager gm, java.lang.Boolean complete)` name of method to override for get phonetic read (used by grammar manager for grammar business).
`java.lang.String` | `toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList, GrammarManager gm, java.lang.Boolean complete)` name of method to override for get phonetic read with global approach (used by grammar manager for grammar business).
`java.lang.String` | `toTransliteration(java.lang.String[] signList, java.lang.Integer indexValueOfTransliteration)` name of method to override for convert to transliteration (used by grammar manager for grammar business).

Method Detail

### toTransliteration

    java.lang.String toTransliteration(java.lang.String[] signList,
                                       java.lang.Integer indexValueOfTransliteration)

  name of method to override for convert to transliteration (used by grammar manager for grammar business).

### toHieroglyphs

    java.lang.String toHieroglyphs(java.lang.String[] transliterationList,
                                   GrammarManager gm)
                                   throws java.lang.Exception

  name of method to override for convert to hieroglyphs (used by grammar manager for grammar business).

  Throws:
    `java.lang.Exception`

### toPhoneticRead

    java.lang.String toPhoneticRead(java.lang.String[] transliterationList,
                                    GrammarManager gm,
                                    java.lang.Boolean complete)

  name of method to override for get phonetic read (used by grammar manager for grammar business).

### toPhoneticReadWithGlobalApproach

    java.lang.String toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList,
                                                      GrammarManager gm,
                                                      java.lang.Boolean complete)

  name of method to override for get phonetic read with global approach (used by grammar manager for grammar business).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.